org.codehaus.modello.maven

## Class AbstractModelloGeneratorMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.codehaus.modello.maven.AbstractModelloGeneratorMojo

- All Implemented Interfaces:
    org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo
  Direct Known Subclasses:
    AbstractModelloSourceGeneratorMojo, ModelloJsonSchemaGeneratorMojo, ModelloXdocMojo, ModelloXsdMojo

      public abstract class AbstractModelloGeneratorMojo
      extends org.apache.maven.plugin.AbstractMojo

  Author:
    Trygve Laugstøl

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractModelloGeneratorMojo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Properties` | `createParameters()` Creates a Properties objects.
    `protected void` | `customizeParameters(Properties parameters)` Override this method to customize the values in the properties set.
    `void` | `execute()`
    `String` | `getBasedir()`
    `protected abstract String` | `getGeneratorType()`
    `org.codehaus.modello.core.ModelloCore` | `getModelloCore()`
    `String[]` | `getModels()`
    `abstract File` | `getOutputDirectory()`
    `boolean` | `getPackageWithVersion()`
    `org.apache.maven.project.MavenProject` | `getProject()`
    `String` | `getVersion()`
    `protected boolean` | `producesCompilableResult()`
    `protected boolean` | `producesResources()`
    `void` | `setBasedir(String basedir)`
    `void` | `setBuildContext(org.sonatype.plexus.build.incremental.BuildContext context)`
    `void` | `setModelloCore(org.codehaus.modello.core.ModelloCore modelloCore)`
    `void` | `setModels(String[] models)`
    `void` | `setPackagedVersions(List<String> packagedVersions)`
    `void` | `setPackageWithVersion(boolean packageWithVersion)`
    `void` | `setProject(org.apache.maven.project.MavenProject project)`
    `void` | `setVersion(String version)`

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractModelloGeneratorMojo

          public AbstractModelloGeneratorMojo()

  - ### Method Detail

    - #### getGeneratorType

          protected abstract String getGeneratorType()

    - #### getOutputDirectory

          public abstract File getOutputDirectory()

    - #### producesCompilableResult

          protected boolean producesCompilableResult()

    - #### producesResources

          protected boolean producesResources()

    - #### createParameters

          protected Properties createParameters()

      Creates a Properties objects.

      The abstract mojo will override the output directory, the version and the package with version flag.
      Returns:
        the parameters

    - #### customizeParameters

          protected void customizeParameters(Properties parameters)

      Override this method to customize the values in the properties set.

      This method will be called after the parameters have been populated with the parameters in the abstract mojo.
      Parameters:
        `parameters` - the parameters to customize

    - #### execute

          public void execute()
                       throws org.apache.maven.plugin.MojoExecutionException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`

    - #### getBasedir

          public String getBasedir()

    - #### setBasedir

          public void setBasedir(String basedir)

    - #### getVersion

          public String getVersion()

    - #### setVersion

          public void setVersion(String version)

    - #### getPackageWithVersion

          public boolean getPackageWithVersion()

    - #### setPackageWithVersion

          public void setPackageWithVersion(boolean packageWithVersion)

    - #### getModelloCore

          public org.codehaus.modello.core.ModelloCore getModelloCore()

    - #### setModelloCore

          public void setModelloCore(org.codehaus.modello.core.ModelloCore modelloCore)

    - #### setBuildContext

          public void setBuildContext(org.sonatype.plexus.build.incremental.BuildContext context)

    - #### getProject

          public org.apache.maven.project.MavenProject getProject()

    - #### setProject

          public void setProject(org.apache.maven.project.MavenProject project)

    - #### setPackagedVersions

          public void setPackagedVersions(List<String> packagedVersions)

    - #### getModels

          public String[] getModels()

      Returns:
        Returns the paths to the models.

    - #### setModels

          public void setModels(String[] models)

      Parameters:
        `models` - Sets the paths to the models.

Copyright © 2001–2015 Codehaus. All rights reserved.